<?
  ##########################################
## Автор: -=ШАХТЕР=-                        #                                                                                                                                                                                      ## Сайт: http://masteram.us                 #                 															                      ## ICQ  :  46-92-90                         #                 														 		           ## Версия 4.0 Лицензионная                  #
## Данная версия скрипта является ПЛАТНОЙ,  #
## вы НЕ ИМЕЕТЕ ПРАВА распрострянять данный #
##  скрипт или какие-либо части его кода... #
  #########################################
require'../config.php';
$align='left';
$title='Просмотр логов';
head();
levels(9);
who_add(0,'enter');

if (empty($mod)){
echo '&#187; <a href="logs?mod=edit">Логи Апдейта</a><br />';
echo '&#187; <a href="logs?mod=del">Логи удалений</a><br />';

echo '&#187; <a href="logs?mod=topic">Логи изменений топиков</a><br />';
echo '&#187; <a href="logs?mod=kik">Логи пинков</a><br />';
echo '&#187; <a href="logs?mod=ban_ip_soft">Логи баннов ip+soft</a><br />';
echo '&#187; <a href="logs?mod=ban_ip">Логи баннов ip</a><br />';
echo '&#187; <a href="logs?mod=ban">Логи баннов ников</a><br />';


}else{





if (isset($_GET['del_all'])){
@$db->sql_query("delete from logs where log = '".$mod."';");
}

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from logs where log = '".$mod."'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from logs where log = '".$mod."' order by time desc LIMIT $start, $max");
if ($k_post == 0)echo 'Нет логов!<br />';
else{
if (($max*$page)<$k_post) $maxi = $max*$page; else $maxi = $k_post;
echo 'показаны записи '.($start+1).'-'.$maxi.' из '.$k_post.'<br /><br />';
}
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){

echo '<b>'.times($a['time']).'</b> - '.bbcode($a['msg']).'<br />- - -<br />';


}

if ($k_page>1){
echo "<dl><dt></dt></dl>";
str('logs?mod='.$mod.'&amp;',$k_page,$page); // Вывод страниц
echo "<br /><dl><dt></dt></dl><br />";
}
if ($k_post != 0)echo '<a href="logs?mod='.$mod.'&amp;del_all">Очистить логи</a><br />';


}

if ($mod)echo gb.'<a href="logs">Просмотр логов</a>'.div;
echo gb.'<a href="index">В админку</a><br />'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();

?>
